---
- name: i_code_review_create_note_in_ipynb_diff
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_create_note_in_ipynb_diff_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_create_note_in_ipynb_diff_commit
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_note_in_ipynb_diff
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_note_in_ipynb_diff_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_note_in_ipynb_diff_commit
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_mr_diffs
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_single_file_diffs
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_mr_single_file_diffs
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_toggled_task_item_status
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_close_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_reopen_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_approve_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_unapprove_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_resolve_thread
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_unresolve_thread
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_edit_mr_title
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_edit_mr_desc
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_merge_mr
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_mr_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_edit_mr_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_remove_mr_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_review_note
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_publish_review
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_create_multiline_mr_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_edit_multiline_mr_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_remove_multiline_mr_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_add_suggestion
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_apply_suggestion
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_assigned
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_marked_as_draft
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_unmarked_as_draft
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_review_requested
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_approval_rule_added
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_approval_rule_deleted
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_approval_rule_edited
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_vs_code_api_request
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_jetbrains_api_request
  redis_slot: code_review
  category: code_review
  aggregation: weekly
  feature_flag: usage_data_i_code_review_user_jetbrains_api_request
- name: i_code_review_user_gitlab_cli_api_request
  redis_slot: code_review
  category: code_review
  aggregation: weekly
  feature_flag: usage_data_i_code_review_user_gitlab_cli_api_request
- name: i_code_review_user_create_mr_from_issue
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_mr_discussion_locked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_mr_discussion_unlocked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_time_estimate_changed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_time_spent_changed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_assignees_changed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_reviewers_changed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_milestone_changed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_labels_changed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
# Diff settings events
- name: i_code_review_click_diff_view_setting
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_click_single_file_mode_setting
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_click_file_browser_setting
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_click_whitespace_setting
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_diff_view_inline
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_diff_view_parallel
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_file_browser_tree_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_file_browser_list_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_diff_show_whitespace
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_diff_hide_whitespace
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_diff_single_file
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_diff_multiple_files
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_load_conflict_ui
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_resolve_conflict
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_searches_diff
  redis_slot: code_review
  category: code_review
  aggregation: weekly
  feature_flag: usage_data_diff_searches
- name: i_code_review_total_suggestions_applied
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_total_suggestions_added
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_user_resolve_thread_in_issue
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_widget_nothing_merge_click_new_file
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_post_merge_delete_branch
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_post_merge_click_revert
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_post_merge_click_cherry_pick
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_post_merge_submit_revert_modal
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_post_merge_submit_cherry_pick_modal
  redis_slot: code_review
  category: code_review
  aggregation: weekly
# MR Widget Extensions
## Test Summary
- name: i_code_review_merge_request_widget_test_summary_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_test_summary_full_report_clicked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_test_summary_expand
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_test_summary_expand_success
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_test_summary_expand_warning
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_test_summary_expand_failed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
## Accessibility
- name: i_code_review_merge_request_widget_accessibility_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_accessibility_full_report_clicked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_accessibility_expand
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_accessibility_expand_success
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_accessibility_expand_warning
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_accessibility_expand_failed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
## Code Quality
- name: i_code_review_merge_request_widget_code_quality_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_code_quality_full_report_clicked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_code_quality_expand
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_code_quality_expand_success
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_code_quality_expand_warning
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_code_quality_expand_failed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
## Terraform
- name: i_code_review_merge_request_widget_terraform_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_terraform_full_report_clicked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_terraform_expand
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_terraform_expand_success
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_terraform_expand_warning
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_terraform_expand_failed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_submit_review_approve
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_submit_review_comment
  redis_slot: code_review
  category: code_review
  aggregation: weekly
## License Compliance
- name: i_code_review_merge_request_widget_license_compliance_view
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_license_compliance_full_report_clicked
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_license_compliance_expand
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_license_compliance_expand_success
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_license_compliance_expand_warning
  redis_slot: code_review
  category: code_review
  aggregation: weekly
- name: i_code_review_merge_request_widget_license_compliance_expand_failed
  redis_slot: code_review
  category: code_review
  aggregation: weekly
